com.h3c.sdn.tvue

## Enum FlowField

- java.lang.Object
- - java.lang.Enum<FlowField>
  - - com.h3c.sdn.tvue.FlowField

- All Implemented Interfaces:
    Serializable, Comparable<FlowField>

      public enum FlowField
      extends Enum<FlowField>

  Repertoire of flow descriptor fields.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DST_IP` Destination IP address
    `DST_MAC` Destination MAC address
    `DST_PORT` Destination Port number
    `ETH_TYPE` Protocol
    `PROTOCOL` Protocol
    `SRC_IP` Source IP address
    `SRC_MAC` Source MAC address
    `SRC_PORT` Source Port number

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FlowField` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FlowField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SRC_MAC

          public static final FlowField SRC_MAC

      Source MAC address

    - #### DST_MAC

          public static final FlowField DST_MAC

      Destination MAC address

    - #### SRC_IP

          public static final FlowField SRC_IP

      Source IP address

    - #### DST_IP

          public static final FlowField DST_IP

      Destination IP address

    - #### ETH_TYPE

          public static final FlowField ETH_TYPE

      Protocol

    - #### PROTOCOL

          public static final FlowField PROTOCOL

      Protocol

    - #### SRC_PORT

          public static final FlowField SRC_PORT

      Source Port number

    - #### DST_PORT

          public static final FlowField DST_PORT

      Destination Port number

  - ### Method Detail

    - #### values

          public static FlowField[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FlowField c : FlowField.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FlowField valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.